/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.energy.energythreshold.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 阈值设置编辑参数
 *
 * @author wang
 * @date  2023/12/25 09:43
 **/
@Getter
@Setter
public class EnergyThresholdEditParam {

    /** ID */
    @ApiModelProperty(value = "ID", required = true, position = 1)
    @NotNull(message = "id不能为空")
    private Integer id;
//
//    /** 阈值对象 */
//    @ApiModelProperty(value = "阈值对象", position = 2)
//    private String unitId;

    /** 用水下值 */
    @ApiModelProperty(value = "用水下值", position = 3)
    private String waterDown;

    /** 用水上值 */
    @ApiModelProperty(value = "用水上值", position = 4)
    private String waterUpper;

    /** 用电下值 */
    @ApiModelProperty(value = "用电下值", position = 5)
    private String electricityDown;

    /** 用电上值 */
    @ApiModelProperty(value = "用电上值", position = 6)
    private String electricityUpper;

    /** 七日用水下值 */
    @ApiModelProperty(value = "七日用水下值", position = 7)
    private String waterWeekDown;

    /** 七日用水上值 */
    @ApiModelProperty(value = "七日用水上值", position = 8)
    private String waterWeekUpper;

    /** 七日用电上值 */
    @ApiModelProperty(value = "七日用电上值", position = 9)
    private String electricityWeekDown;

    /** 七日用电下值 */
    @ApiModelProperty(value = "七日用电下值", position = 10)
    private String electricityWeekUpper;

    /** 0为不启用 1为启用 */
    @ApiModelProperty(value = "0为不启用 1为启用", position = 11)
    private Integer isEnable;

//    /** 组织id */
//    @ApiModelProperty(value = "组织id", position = 12)
//    private String orgId;

}
